gtkmm 2.4: Pango::CairoFontMap Class Reference

Main Page Widgets Namespaces Book

# Pango::CairoFontMap Class Reference

Inheritance diagram for Pango::CairoFontMap:

[legend]
List of all members.

## Detailed Description

A Pango::CairoFontMap represents the set of fonts available for a particular rendering system.

## Public Member Functions
Glib::RefPtr<Context> | create_context ()
| Create a Pango::Context for the given fontmap.
Cairo::FontType | get_font_type () const
| Gets the type of Cairo font backend that fontmap uses.
double | get_resolution () const
| Gets the resolution for the fontmap.
const PangoCairoFontMap* | gobj () const
| Provides access to the underlying C GObject.
PangoCairoFontMap* | gobj ()
| Provides access to the underlying C GObject.
void | set_resolution (double dpi)
| Sets the resolution for the fontmap.
virtual | ~CairoFontMap ()
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Pango::CairoFontMap> | wrap (PangoCairoFontMap* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Pango::CairoFontMap::~CairoFontMap | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Pango::CairoFontMap::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::RefPtr<Context> Pango::CairoFontMap::create_context | ( |  | ) |

Create a Pango::Context for the given fontmap.

Returns:
  The newly created context; free with Glib::object_unref().

Since: 1.10.

Cairo::FontType Pango::CairoFontMap::get_font_type | ( |  | ) | const

Gets the type of Cairo font backend that fontmap uses.

Returns:
  The cairo_font_type_t cairo font backend type

Since: 1.18.

double Pango::CairoFontMap::get_resolution | ( |  | ) | const

Gets the resolution for the fontmap.

See set_resolution()

Returns:
  The resolution in "dots per inch"

Since: 1.10.

const PangoCairoFontMap* Pango::CairoFontMap::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

PangoCairoFontMap* Pango::CairoFontMap::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

void Pango::CairoFontMap::set_resolution | ( | double | dpi | ) |

Sets the resolution for the fontmap.

This is a scale factor between points specified in a Pango::FontDescription and Cairo units. The default value is 96, meaning that a 10 point font will be 13 units high. (10* 96. / 72. = 13.3).

Since: 1.10

Parameters:

  | dpi | The resolution in "dots per inch". (Physical inches aren't actually involved; the terminology is conventional.).

## Friends And Related Function Documentation

Glib::RefPtr<Pango::CairoFontMap> wrap | ( | PangoCairoFontMap * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cairofontmap.h